<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>S.I.G.N U.P</title>
    <script src="https://code.jquery.com/jquery-git.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.0/jquery.validate.js"></script>

    <style>
        box {
            width: 400px;
            height: 35px;
            border: 1px grey;
            border-top: 1px grey solid;
            border-bottom: 1px grey solid;
            padding: 5px;
            background-color: #47484b;
            color: greenyellow;
        }

        modal {
            border: 1px grey solid;
            background-color: grey;
            color: navy;
            display: none;
        }

        .modalcontent {
            border: 1px grey solid;
            background-color: grey;
            color: navy;
        }

        #form {
            margin: 10vh auto auto;
            text-align: center;
            border-radius: auto;
            width: 500px;
            border: solid goldenrod;
            background-color: olivedrab;
        }

        .open {
            display: block;
        }

        form {
            margin: auto;
        }


        .container {
            width: 500px;
            margin: auto;
            border: 3px solid #16171a;
            padding: 10px;
            background-color: #47484b;
            text-align: center;
        }

        .s {
            background-color: blanchedalmond;
            color: rgb(187, 9, 69);
            width: 100px;
            height: 40px;
            font-weight: bold;
        }

        label {

            color: white;
            font-weight: bold;
            padding: 5px;
        }

        .gen {
            width: 400px;
            height: 35px;
            border-top: 1px grey solid;
            border-bottom: 1px grey solid;
            padding: 5px;
            background-color: #47484b;
            color: yellow;
        }

        option {
            color: rgb(209, 19, 114);
            background-color: lightgoldenrodyellow;
        }


        .select {
            height: 35px;
            width: 400px;
            padding: 8px 12px;
            color: yellowgreen;
            background-color: #ddd;
            border: 1px solid #eee;
            border-top: 1px solid grey;
            border-bottom: 1px solid gray;
            cursor: pointer;
            border-radius: 5px;
            padding: 5px;
        }

        .select:focus,
        .select:hover {
            outline: none;
            border: 1px solid navy;
        }

        .select option {
            background: whitesmoke;
        }
    </style>
</head>

<body>
    <div class="container">
        <form action="/add/ad" method="post" style="border: 1px solid #ccc;" id="form">

            <h1 style="color: rebeccapurple;text-align: center;"><b>Sign Up</b></h1>
            <p>Please Fill in this form to finish creating your account</p>
            <hr>

            <label for="fname"><b>First Name</b></label>
            <input class="box" type="text" placeholder="Enter First Name" name="fname" required id="fname"><br><br>
            <span id="fnameerr" style="color: rebeccapurple;"></span><br>

            <label for="lname"><b>Last Name</b></label>
            <input class="box" type="text" placeholder="Enter Last Name" name="lname" required id="lname"><br><br>
            <span id="lnameerr" style="color: rebeccapurple;"></span><br>

            <label for="email"><b>Email</b></label>
            <input class="box" type="email" placeholder="Enter email" name="email" required id="email"><br><br>
            <span id="emerr" style="color: rebeccapurple;"></span><br>

            <label for="Phone Number"><b>Phone Number</b></label>
            <input type="text" placeholder="Enter Phone Number" name="phone_number"><br><br>
            <span id="pherr" style="color: rebeccapurple;"></span><br>

            <label for="Gender"><b>Gender</b></label>
            <div class="gen">
                <input type="radio" placeholder="Gender" name="gender" required value="Male">Male
                <input type="radio" placeholder="Gender" name="gender" required value="Female">Female <br><br>
            </div>
            <span id="geerr" style="color: rebeccapurple;"></s pan><br>

                <label for="State"><b>Choose a State</b></label><br>
                <div class="gen">
                    <select name="state" id="state">
                        <!-- <option disabled selected>---select---</option> -->
                        <script>
                            var options;

                            var state = ["--- SELECT---", "Andhra Pradesh", "Arunachal Pradesh", "Assam", "Bihar", "Chhattisgarh", "Goa", "Gujarat", "Haryana", "Himachal Pradesh", "Jharkhand", "Karnataka", "Kerala", "Madhya Pradesh", "Maharashtra", "Manipur", "Meghalaya", "Mizoram", "Nagaland", "Odisha", "Punjab", "Rajasthan", "Sikkim", "Tamil Nadu", "Telangana", "Tripura", "Uttar Pradesh", "Uttarakhand", "West Bengal"];

                            for (var i = 0; i < state.length; i++) {
                                options += '<option value="' + state[i] + '">' + state[i] + '</option>';
                            }
                            $("#state").html(options);

                        </script>
                    </select>
                </div><br>
                <span id="seerr" style="color: rebeccapurple;"></span><br>

                <div class="gen">
                    <input type="checkbox" name="Subscribe" value="Subscribe" id="s" name="s"><label>Subscribe</label>
                </div>
                <span id="serr" style="color: rebeccapurple;"></span><br><br><br>

                <label for="Password"><b>Password</b></label><br>
                <input class="box" type="password" placeholder="Password" id="pwd" name="pwd"><br>
                <span id="perr" style="color: rebeccapurple;"></span><br>

                <label for="Confirm Password"><b>Confirm Password</b></label><br>
                <input class="box" type="password" placeholder="Confirm Password" id="cpp" name="cpp"><br>
                <span id="cpperr" style="color: rebeccapurple;"></span><br>

                <input type="checkbox" name="term" id="term">

                <span id="terms" style="color: white; font-weight: bold;">Agree Terms and Conditions</span><br><br>
                <span id="aterr" style="color: rebeccapurple;"></span>
                <div class="modal">
                    <div class="modalcontent">
                        <p id="mod">Please Ensure About Terms and Conditions</p>
                        <p id="mod">Check All Details and Agree</p>
                        <button id="close">close</button>
                    </div>
                </div>
                <input class="s" type="submit" name="submit" value="Sign Up" id="submit">
        </form>
    </div>


</body>

<script>
    // $("#terms").click(function () {
    //     $(".modal").show();
    // });

    // $("#close").click(function () {
    //     $(".modal").hide();
    // });

    // $("#submit").click(function () {
    //     var flag = false;
    //     var fname = $("#fname").val();
    //     var lname = $("#lname").val();
    //     var email = $("email").val();
    //     var phn = $("#phone").val();
    //     var gender = $('input[name="gender"]:checked').val();
    //     var state = $("state option : selected").val();
    //     var p = $("#pwd").val();
    //     var cpwd = $("#cpp").val();


        // validatefname();
        // validatelname();
        // validateemail();
        // validateph();
        // validategender();
        // validatestate();
        // validatesubscribe();
        // validatepassword();
        // validatecpassword();
        // validateterms();


        // function validatefname() {
        //     var regex = /^[A-Za-z]+$/;
        //     var isValid = regex.test(fname);
        //     //alert(fname);
        //     if (fname.length == " ") {
        //         $("#fnameerr").html("Name Empty");
        //         flag = true;
        //     }
        //     else if (!isValid) {
        //         $("#fnameerr").html("Name only contain alphabets ");
        //         flag = true;
        //     }
        // }

        // function validatelname() {
        //     var regex = /^[A-Za-z]+$/;
        //     var isValid = regex.test(lname);

        //     if (lname.length == " ") {
        //         $("#lnameerr").html("LastName Empty"); flag = true;
        //     }
        //     else if (!isValid) {
        //         $("#lnameerr").html("LastName only contain alphabets ");
        //         flag = true;

        //     }

        // }

        // function validateemail() {
        //     var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
        //     if (email.length == " ") {
        //         $("#emerr").html("Enter email id");
        //         flag = true;
        //     }
        //     else if (!emailReg.test(email)) {
        //         $("#emerr").html("Enter valid email");
        //         flag = true;
        //     }

        // }

        // function validateph() {
        //     var phregx = /^[0-9-+]+$/;
        //     if (phn.length == " ") {
        //         $("#pherr").html("Enter phonenumber");
        //         flag = true;
        //     }
        //     else if (!phregx.test(phn)) {
        //         $("#pherr").html("Only contain numbers");
        //         flag = true;

        //     }

        // }

        // function validategender() {
        //     var isValid = $("input[name=gender]").is(":checked");
        //     if (!isValid) {
        //         $("#geerr").html("Select a gender");
        //         flag = true;
        //     }
        // }
        // function validatestate() {

        //     if (state.length == " ") {
        //         $("#seerr").html("Select one state");
        //         flag = true;
        //     }
            // $.ajax({
            //     type: "POST",
            //     url: "https://jsonplaceholder,typeicode.com/posts",
            //     dataType: "json",
            //     success: function () {

            //         console.log("Post successfully created");
            //     },
            //     error: function () {
            //         console.log("Post not created");
            //     }
            // });

    //     } function validatesubscribe() {
    //         var s = $("#s").prop("checked");
    //         if (!s) {
    //             $("#serr").html("Tick Subscribe");
    //             flag = true;
    //         }
    //     }
    //     function validatepassword() {

    //         if (p.length == " ") {
    //             $("#perr").html("Enter password");
    //             flag = true;
    //         }
    //         else if (p.length < 10) {
    //             $("#perr").html("Password must contain 10 characters");
    //             flag = true;
    //         }
    //     }
    //     function validatecpassword() {

    //         if (cpwd.length == " ") {
    //             $("#cpperr").html("Enter password");
    //             flag = true;
    //         }
    //         else if (p != cpwd) {
    //             //alert(p+","+cpwd);
    //             $("#cpperr").html("Password not matching");
    //             flag = true;

    //         }
    //     }
    //     function validateterms() {
    //         var s = $("#terms").prop("checked");
    //         if (!s) {
    //             $("#aterr").html("Tick box to agree");
    //             flag = true;
    //         }
    //     }

    //     if (flag == false) {
    //         var formdatas = [];
    //         formdatas.push(fname);
    //         formdatas.push(lname);
    //         formdatas.push(email);
    //         formdatas.push(phn);
    //         formdatas.push(gender);
    //         formdatas.push(state);
    //         formdatas.push(p);
    //         formdatas.push(cpwd);

    //         var string = JSON.stringify(formdatas);

    //         console.log(string);

    //         // $.ajax({
    //         //     type: "POST",
    //         //     url: "https://jsonplaceholder,typeicode.com/posts",
    //         //     dataType: "json",
    //         //     success: function () {

    //         //         console.log("Post successfully created");
    //         //     },
    //         //     error: function () {
    //         //         console.log("Post not created");
    //         //     }
    //         // });
    //     }
    //     else {
    //         alert("Validation gone false. Please insert correct values");
    //     }

    // });
</script>


</html>